require 'mkmf'
require 'mkmf-gnome2'

PKGConfig.have_package('gtk+-2.0') or exit 1
begin
	require 'gtk2'
rescue => e
	$stderr.puts "Ruby/GTK couldn't be initialized ('#{e}')"
	exit 1
end
[ 'libintl.h', 'X11/Xatom.h', 'gdk/gdkx.h' ].each do |header|
	have_header(header) or exit 1
end

$defs << "-DEGG_COMPILATION"
create_makefile("gtktrayicon", "src")
